<table mat-table [dataSource]="usuarios" class="mat-elevation-z8">
  <ng-container matColumnDef="nome">
    <th mat-header-cell *matHeaderCellDef>Nome</th>
    <td mat-cell *matCellDef="let element"> {{element.nome}} </td>
  </ng-container>

  <ng-container matColumnDef="telefone">
    <th mat-header-cell *matHeaderCellDef>Telefone</th>
    <td mat-cell *matCellDef="let element"> {{element.telefone | telefone}} </td>
  </ng-container>

  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef>E-mail</th>
    <td mat-cell *matCellDef="let element"> {{element.email}} </td>
  </ng-container>

  <ng-container matColumnDef="acao">
    <th mat-header-cell *matHeaderCellDef>Ação</th>
    <td mat-cell *matCellDef="let element">
      <mat-icon aria-hidden="false" aria-label="Editar" [routerLink]="['/editar/' + element.id]">edit</mat-icon>
      <mat-icon aria-hidden="false" aria-label="Excluir" (click)="openDialog(element.id)">restore_from_trash</mat-icon>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>